%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check

%global crate btrd

Name:           rust-btrd
Version:        0.5.3
Release:    1%{?dist}
Summary:        Btrfs debugger

License:        GPL-2.0
URL:            https://crates.io/crates/btrd
Source0:         %{crates_source}
Patch:          btrd-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
The btrfs debugger.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        # FIXME

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%doc scripts
%{_bindir}/btrd

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/docs
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.3-1
- initial build
